{% extends 'base.html' %}
{% load staticfiles %}
{% load crispy_forms_tags %}
{% block content %}
    <h1><i class="{{ icon }}"></i> {{ title }}</h1>
    {% if messages or error_message or form.errors %}
        <div class="alert alert-danger" role="alert">
            <ul class="messages">
                {% for message in messages %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
                {% for message in error_message %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
                {% for message in form.errors %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
            </ul>
        </div>
    {% endif %}
    <div class="panel">
    <div class="panel-body">
        <form action="" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            {{ form | crispy }}
            <button type="submit" class="save btn btn-default">Save</button>
                    <a type="button" class="btn btn-warning btn-sm pull-right" href="{% url 'metadata:organisms_list' %}">
            <i class="fa fa-plus-circle"></i> Liste des organismes
        </a>
        </form>
    </div>
    <link rel="stylesheet" href="{% static 'css/select2-bootstrap.min.css' %}">
    <script type="text/javascript">
        {{ js | safe }};
        {#$.fn.select2.defaults.set("theme", "bootstrap");#}
    </script>
    <br/>
    {#    {{ form.media }}#}

{% endblock %}

